### Function

# GdkPixbuf.PixbufModulePreparedFunc

#### Declaration

    void
    PixbufModulePreparedFunc (
      GdkPixbuf* pixbuf,
      GdkPixbufAnimation* anim,
      gpointer user_data
    )

#### Description [src]

Defines the type of the function that gets called once the initial setup of `pixbuf` is done.

`GdkPixbufLoader` uses a function of this type to emit the “area_prepared” signal.

#### Parameters

`pixbuf` | `GdkPixbuf`
| the `GdkPixbuf` that is currently being loaded.
| Ownership is not transferred to the callee
`anim` | `GdkPixbufAnimation`
| if an animation is being loaded, the `GdkPixbufAnimation`, else `NULL`.
| Ownership is not transferred to the callee
`user_data` | `gpointer`
| the loader.